#pragma once

#include "QuantumState.h"

class QuantumCircuit;

class QuantumSimulator
{
public:
	const QuantumState& getInputState() const;

	const QuantumState& getOutputState() const;

	void setCircuit(QuantumCircuit* circuit);

	void run();

public:
	QuantumState mInputState;
	QuantumState mOutputState;

	QuantumCircuit* mCircuit{ nullptr };
};